<?php

	$starttime = time();
	$delay = gpc("delay");
	
	if ($delay != "")
		sleep($delay);
		
    header("Cache-Control: no-cache");
    header("Pragma: no-cache");
	
	
	$ip = $_SERVER['REMOTE_ADDR'];
	$responseStatus = gpc("responsestatus");
	$headers = getallheaders();
	if (isset($headers['X-Request-Id']))
  		$id = $headers['X-Request-Id'];

	
	if ($responseStatus == "200")
		header("HTTP/1.1 200 OK\n\n");
    else if ($responseStatus == "204")
		header("HTTP/1.1 204 No Content\n\n");
	else if ($responseStatus == "403")
		header("HTTP/1.1 403 Forbidden\n\n");
    else if ($responseStatus == "404")
	    header("HTTP/1.1 404 Not Found\n\n");
    else if ($responseStatus == "500")
	    header("HTTP/1.1 500 Internal Server Error\n\n");
    else if ($responseStatus == "501")
	    header("HTTP/1.1 501 Not Implemented\n\n");
    else if ($responseStatus == "502")
	    header("HTTP/1.1 502 Bad Gateway\n\n");
    else if ($responseStatus == "503")
	    header("HTTP/1.1 503 Service Unavailable\n\n");
    else if ($responseStatus == "504")
	    header("HTTP/1.1 504 Gateway Timeout\n\n");
    else if ($responseStatus == "505")
	    header("HTTP/1.1 505 HTTP Version Not Supported\n\n");

	if ($responseStatus && $responseStatus != "200")exit;	

    
	print "Response to Request $id : Hello World to user from " . $ip . " at ". date("h:i:s A");
	
	
/* Helper functions */
function gpc($name)
{
    if (isset($_GET[$name]))
	return $_GET[$name];
    else if (isset($_POST[$name]))
	return $_POST[$name];
    else if (isset($_COOKIE[$name]))
	return $_COOKIE[$name];
    else
	return "";
}
?>
