<?php

$sess_save_path = "/var/www/sites/ajaxref.com/ch6/session";

session_set_save_handler("open", "close", "read", "write", "destroy", "gc");

session_start();

	$starttime = time();
	$delay = gpc("delay");
	$sessionval = gpc("sessionval");
	
	if ($sessionval != "")
		$_SESSION['test'] = $sessionval;
	
	if ($delay != "")
		sleep($delay);
		
    header("Cache-Control: no-cache");
    header("Pragma: no-cache");
	
	print "Session value has been set to: <span class='" . $_SESSION['test'] . "'>" . $_SESSION['test'] . "</span>";	
	
	
/* Helper functions */
function gpc($name)
{
    if (isset($_GET[$name]))
	return $_GET[$name];
    else if (isset($_POST[$name]))
	return $_POST[$name];
    else if (isset($_COOKIE[$name]))
	return $_COOKIE[$name];
    else
	return "";
}


function open($save_path, $session_name)
{
    return true;
}

function close()
{
  return true;
}

function read($id)
{
  global $sess_save_path;
 
  $sess_file = "$sess_save_path/sess_$id";
  return (string) @file_get_contents($sess_file);
}

function write($id, $sess_data)
{
  global $sess_save_path;
 
  $sess_file = "$sess_save_path/sess_$id";
  if ($fp = @fopen($sess_file, "w")) 
  {
    $return = fwrite($fp, $sess_data);
    fclose($fp);
	return $return;
  } 
  else 
  {
    return false;
  }

}

function destroy($id)
{
  global $sess_save_path;
 
  $sess_file = "$sess_save_path/sess_$id";
  
  return(@unlink($sess_file));
}

function gc($maxlifetime)
{
  global $sess_save_path;
 
  foreach (glob("$sess_save_path/sess_*") as $filename) 
  {
    if (filemtime($filename) + $maxlifetime < time()) 
	{
      @unlink($filename);
    }
  }
  return true;
}

?>
